package com.gic.haoban.manage.service.service.hm;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.qdto.hm.HmQrcodeListQDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmQrcodeQDTO;
import com.gic.haoban.manage.service.pojo.bo.hm.HmQrcodeBO;


/**
 * 活码(TabHaobanHmQrcode)表服务接口
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public interface TabHaobanHmQrcodeService {

    /**
     * 通过ID查询单条数据
     *
     * @param hmId 主键
     * @return 实例对象
     */
    HmQrcodeBO queryById(Long hmId);

    /**
     * 分页查询
     *
     * @param hmQrcodeListQDTO 筛选条件
     * @return 查询结果
     */
    Page<HmQrcodeBO> queryByPage(HmQrcodeListQDTO hmQrcodeListQDTO);

    /**
     * 新增数据
     *
     * @param hmQrcodeQDTO 实例对象
     * @return 实例对象
     */
    int insert(HmQrcodeQDTO hmQrcodeQDTO);

    /**
     * 修改数据
     *
     * @param hmQrcodeQDTO 实例对象
     * @return 实例对象
     */
    int update(HmQrcodeQDTO hmQrcodeQDTO);

    /**
     * 通过主键删除数据
     *
     * @param hmId 主键
     * @return 是否成功
     */
    boolean deleteById(Long hmId);

}
